Add Customer Image

Sets profile image for a customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/565039505/setImage' \
--header 'Authorization: Basic dGpfY2FwaWxsYXJ5OjVjMTc3MDJlOTI5NjQ4MjY3ZDJiMGM2ZTk5ZjE5' \
--header 'Accept: application/json' \
--header 'Cookie: _cfuvid=Es2X3vmjttABkNkPiKazemkN3VVyy8kpX.D3.lHTbu8-1745994507567-0.0.1.1-604800000' \
--form 'file=@"./Screenshot 2021-11-07 at 12.30.24 PM.png"' \
--form 'file=@"6ZbWPcdnB/Screenshot 2025-04-29 at 3.28.19 PM.png"'

Request Body Parameter

ParameterTypeDescription
FILEFileImage file to be uploaded for the customer. The maximum number of files you can upload is five. The file size can range from a minimum of 10 KB to a maximum of 49 MB. There is no restriction on the file format.
📘

Note:

  • Use form-data in the request body and upload the image file under the key FILE.

Response Parameters

ParameterTypeDescription
fileObjectFile related information
-aclStringAccess control level
-SizeStringFile size in bytes
-HandleStringUnique file identifier
-lastModifiedStringLast modified timestamp (YYYY-MM-DD HH:mm:ss)
-latestVersionIntegerLatest version indicator
-nameStringInternal file path
-namespaceStringFile namespace
-s3TokenStringS3 storage path
-versionIntegerFile version
{
    "data": [
        {
            "code": 200,
            "file": {
                "acl": "PRIVATE",
                "fileSize": "18039",
                "fileHandle": "01a24b35-f1fa-4dc3-bbce-ab9bc5094e2c",
                "lastModified": "2025-04-21 03:01:43",
                "latestVersion": -1,
                "name": "100737/565039505/0",
                "namespace": "customerImage",
                "s3Token": "customerImage/100737/565039505/389fff57-1ed3-4bbb-96e0-6a541c8d20d1",
                "version": -1
            },
            "message": "Successfully uploaded file",
            "status": "true"
        }
    ],
    "warnings": [],
    "errors": []
}

API specific error code

Error codeDescription
8083Uploaded image size is below the minimum required size.
8084The request does not contain a valid image file, or the image has not been added.
Path Params
int64
required

Pass the unique ID of the customer whose goodwill request details you want to fetch.

Body Params
file
required
Headers
string
required
Defaults to multipart/form-data

Pass the relevant value.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json